%define module pyparsing

Summary:        A general parsing module for Python
Name:           python-%{module}
Version:        2.4.2
Release:        %mkrel 1
License:        MIT
Group:          Development/Python
URL:            http://pyparsing.wikispaces.com/
Source0:        https://pypi.io/packages/source/p/%{module}/%{module}-%{version}.tar.gz
BuildArch:      noarch

%description
The pyparsing module is an alternative approach to creating and executing
simple grammars, vs. the traditional lex/yacc approach, or the use of regular
expressions. The pyparsing module provides a library of classes that client
code uses to construct the grammar directly in Python code.

%package -n python2-%{module}
Summary:        A general parsing module for Python 2
Group:          Development/Python
BuildRequires:  pkgconfig(python2)
BuildRequires:  pythonegg(2)(setuptools)
BuildRequires:  python2-pkg-resources > 19.6.2

Obsoletes:      python-pyparsing < 2.1.10-2
Provides:       python-pyparsing = %{version}-%{release}
Provides:       pyparsing = %{version}

%rename python-parsing

%description -n python2-%{module}
The pyparsing module is an alternative approach to creating and executing
simple grammars, vs. the traditional lex/yacc approach, or the use of regular
expressions. The pyparsing module provides a library of classes that client
code uses to construct the grammar directly in Python code.

This is the Python 2 version.

%package docs
Summary:        A general parsing module for Python
Group:          Documentation

%description docs
This package includes the HTML documentataion and examples of %{module}.


%package -n python3-%{module}
Summary:        A general parsing module for Python 3
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools)

%description -n python3-%{module}
The pyparsing module is an alternative approach to creating and executing
simple grammars, vs. the traditional lex/yacc approach, or the use of regular
expressions. The pyparsing module provides a library of classes that client
code uses to construct the grammar directly in Python code.

This is the Python 3 version.


%prep
%setup -q -n %{module}-%{version}

%build
%py2_build
%py3_build

%install
%py3_install
%py2_install

%files -n python2-%{module}
%doc CHANGES
%license LICENSE
%{python2_sitelib}/%{module}.py*
%{python2_sitelib}/%{module}-%{version}-py%{python2_version}.egg-info

%files docs
%doc docs/*

%files -n python3-%{module}
%doc CHANGES
%license LICENSE
%{python3_sitelib}/%{module}.py*
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/__pycache__/pyparsing*


%changelog
* Fri Mar 05 2021 neoclust <neoclust> 2.4.2-1.mga7
+ Revision: 1699817
- New version 2.4.2 (mga#28385)

* Sat Jan 05 2019 wally <wally> 2.2.0-4.mga7
+ Revision: 1349249
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.2.0-3.mga7
+ Revision: 1289788
- Mageia 7 Mass Rebuild

* Mon Feb 19 2018 daviddavid <daviddavid> 2.2.0-2.mga7
+ Revision: 1203224
- python-pyparsing has been renamed so don't forget to provide/obsolete it

* Mon Feb 19 2018 kekepower <kekepower> 2.2.0-1.mga7
+ Revision: 1203146
- Update to version 2.2.0

* Sat Jul 29 2017 philippem <philippem> 2.1.10-1.mga7
+ Revision: 1132567
- add BR on python-pkg-resources
- update to 2.1.10

* Tue May 17 2016 philippem <philippem> 2.1.4-1.mga6
+ Revision: 1016376
- update to 2.1.4

* Thu May 12 2016 philippem <philippem> 2.1.3-1.mga6
+ Revision: 1013956
- update to 2.1.3

* Wed May 11 2016 philippem <philippem> 2.1.2-1.mga6
+ Revision: 1013636
- update to 2.1.2

* Mon Apr 11 2016 philippem <philippem> 2.1.1-1.mga6
+ Revision: 1000205
- update to 2.1.1

* Mon Jan 18 2016 daviddavid <daviddavid> 2.0.7-1.mga6
+ Revision: 925574
- new version: 2.0.7
- update Source URL

* Wed Oct 07 2015 daviddavid <daviddavid> 2.0.1-9.mga6
+ Revision: 886858
- use new python macros
+ tv <tv>
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 2.0.1-8.mga5
+ Revision: 747799
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.0.1-7.mga5
+ Revision: 729491
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0.1-6.mga5
+ Revision: 688268
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 2.0.1-5.mga5
+ Revision: 628957
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.0.1-4.mga4
+ Revision: 544063
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.0.1-3.mga4
+ Revision: 499264
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 07 2013 philippem <philippem> 2.0.1-2.mga4
+ Revision: 492443
+ rebuild (emptylog)

* Wed Oct 02 2013 philippem <philippem> 2.0.1-1.mga4
+ Revision: 490551
- Update to 2.0.1

* Thu Aug 29 2013 fwang <fwang> 1.5.6-1.mga4
+ Revision: 472768
- new version 1.5.6

* Sun Jan 13 2013 umeabot <umeabot> 1.5.5-4.mga3
+ Revision: 379387
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 12 2012 kamil <kamil> 1.5.5-3.mga3
+ Revision: 222874
- build python3-pyparsing

* Fri May 13 2011 ahmad <ahmad> 1.5.5-2.mga1
+ Revision: 97796
- Add provides pyparsing

* Fri May 13 2011 ahmad <ahmad> 1.5.5-1.mga1
+ Revision: 97778
- imported package python-pyparsing

